                                                                                                                                                                                                                      
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(fecemimag,fecvenmag,estado) {

	
	parent.document.formulario.fecemimag.value=fecemimag;
	parent.document.formulario.fecvenmag.value=fecvenmag;
	


}


function limpiar() {

	parent.document.formulario.fecemimag.value="";
	parent.document.formulario.fecvenmag.value="";
	parent.document.formulario.ACedula.focus();
	
}

</script>

<body>
 <?php

	
	 $cedula=$_GET["cedula"];
	//$cedtip=$_GET["cedtip"];
	
	// $cedula=603660997;



$curl = curl_init();
 
curl_setopt_array($curl, array(
  CURLOPT_URL => "https://api.hacienda.go.cr/fe/agropecuario?identificacion=".$cedula,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => false,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
));
 
$response = curl_exec($curl);
$err = curl_error($curl);
 
curl_close($curl);
 
if ($err) {
  echo "cURL Error #:" . $err;
} else {
  //echo $response;
$data = json_decode($response, true);

//var_dump($data);

echo "<br>";
echo "<br>";
$cuantos=0; 

$fuenteMAG="";

if (!empty($data["listaDatosMAG"] )) {


$fechaBajaMAG="0000-00-00";
$fechaBajaSENASA="0000-00-00";


foreach ($data["listaDatosMAG"] as $key => $value) {

 echo $nombreMAG = $value["nombreMAG"];
echo "<br>";
 echo $estadoMAG = $value["estadoMAG"];
echo "<br>";
 echo $fechaBaja = $value["fechaBajaMAG"];
echo "<br>";
 echo $indicadorActivoMAG = $value["indicadorActivoMAG"];
echo "<br>";
 echo $fechaAlta= $value["fechaAltaMAG"];
echo "<br>";
 echo $fuente = $value["fuenteMAG"];
echo "<br>";
echo "<br>";
echo "<br>";

$cuantos++;	
	


			
if ($fuente=="MAG") {

$fechaAltaMAG = $value["fechaAltaMAG"];
$fechaBajaMAG = $value["fechaBajaMAG"];		
$fecemimag = $value["fechaAltaMAG"];
$fecvenmag = $value["fechaBajaMAG"]; 
$indicadorActivoMAG = $value["indicadorActivoMAG"];
$fecemimag = implode("-", array_reverse(explode("-", $fecemimag))); 
$fecvenmag = implode("-", array_reverse(explode("-", $fecvenmag ))); 
				 
			}
			
	
 if ($fuente=="SENASA") {



$fechaAltaSENASA = $value["fechaAltaMAG"];
$fechaBajaSENASA = $value["fechaBajaMAG"];	
$fecemisenasa = $value["fechaAltaMAG"];
$fecvensenasa = $value["fechaBajaMAG"];
$indicadorActivoSENASA= $value["indicadorActivoMAG"];	
$fecemisenasa = implode("-", array_reverse(explode("-", $fecemisenasa))); 
$fecvensenasa = implode("-", array_reverse(explode("-", $fecvensenasa ))); 

			}	
			
			
			
			
			

									
			
}   // fin for



?>

 <?php 
				 
	
$fechaBajaMAG=strtotime($fechaBajaMAG);
$fechaBajaSENASA=strtotime($fechaBajaSENASA);



if($fechaBajaMAG > $fechaBajaSENASA){
				?>
<script>  pon_prefijo('<?php echo $fecemimag?>','<?php echo $fecvenmag?>','<?php echo $indicadorActivoMAG?>');	</script>
       			 <?php 	
				 
echo "mayor mag";
echo "<br>";
echo $fecemimag;
echo "<br>";
echo $fecvenmag;

}
else if($fechaBajaSENASA > $fechaBajaMAG){

?>
<script>  pon_prefijo('<?php echo $fecemisenasa?>','<?php echo $fecvensenasa?>','<?php echo $indicadorActivoSENASA?>');	</script>
 <?php 	
 
				 
echo "mayor senasa";
echo "<br>";
echo $fecemisenasa;
echo "<br>";
echo $fecvensenasa;
 	
}			 


} else {
	
		?>
		<script>
		alert ("Numero de CEDULA no registrado como productor agropecuario ");
		limpiar();
		</script>
  <?php 

} 


} 

/*
if ($fuenteMAG=="MAG") {

				?>
				<script>  pon_prefijo('<?php echo $fechaAltaMAG?>','<?php echo $fechaBajaMAG?>','<?php echo $indicadorActivoMAG?>');	</script>
       			 <?php 
			} else {
	
		?>
		<script>
		alert ("Numero de CEDULA no registrado como productor agropecuario MAG");
		limpiar();
		</script>
  <?php 
 }*/

?>









